< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package play
  Definition Classes
    hmrc
-  package events
  Definition Classes
    play
-  package handlers
  Definition Classes
    events
-  package monitoring
  Definition Classes
    events
- AlertLevel
- Alertable
- Auditable
- DefaultEventRecorder
- EventRecorder
- Loggable
- Measurable
- Recordable

o

uk.gov.hmrc.play.events

# AlertLevel 

###

#### object AlertLevel extends Enumeration

Linear Supertypes
Enumeration, Serializable, Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AlertLevel
2. Enumeration
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  type AlertLevel = Value
2.  class Val extends Value with Serializable
   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
3.  abstract class Value extends Ordered[Value] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
4.  class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable
   Definition Classes
     Enumeration

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val CRITICAL: Value
5.  val MAJOR: Value
6.  val MINOR: Value
7.  final def Value(i: Int, name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
8.  final def Value(name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
9.  final def Value(i: Int): Value
   Attributes
     protected
   Definition Classes
     Enumeration
10.  final def Value: Value
    Attributes
      protected
    Definition Classes
      Enumeration
11.  val WARNING: Value
12.  final def apply(x: Int): Value
    Definition Classes
      Enumeration
13.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
14.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
17.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
18.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  final def maxId: Int
    Definition Classes
      Enumeration
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  var nextId: Int
    Attributes
      protected
    Definition Classes
      Enumeration
24.  var nextName: Iterator[String]
    Attributes
      protected
    Definition Classes
      Enumeration
25.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
27.  def readResolve(): AnyRef
    Attributes
      protected
    Definition Classes
      Enumeration
28.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
29.  def toString(): String
    Definition Classes
      Enumeration → AnyRef → Any
30.  def values: ValueSet
    Definition Classes
      Enumeration
31.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
33.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
34.  final def withName(s: String): Value
    Definition Classes
      Enumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped